/*
 * dummy.cpp
 *
 *  Created on: 22 Sep 2023
 *      Author: Dario
 */

#include <sta/tasty/tasks/dummy.hpp>
#include <sta/debug/debug.hpp>

#include <cmsis_os2.h>


namespace demo
{
	DummyThread::DummyThread(const char* name)
		: sta::tacos::TacosThread(name, osPriorityNormal)
	{

	}

	void DummyThread::init()
	{
        STA_DEBUG_PRINTF("Thread %s was initialized", this->getName());
	}

	void DummyThread::func()
	{
		STA_DEBUG_PRINTLN(this->getName());
		osDelay(1000);
	}
}  // namespace demo